## network-manager 1.12.2

=== debian/changelog ===
network-manager (1.12.2-2) unstable; urgency=medium

  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro (Closes: #905372)

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Aug 2018 15:00:41 +0200

network-manager (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2
    - Robustness fixes to connectivity checking (Closes: #903996)
  * Rebase patches
  * Update symbols file for libnm0
  * Bump Standards-Version to 4.1.5

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jul 2018 13:35:31 +0200

network-manager (1.12.0-5) unstable; urgency=medium

  * manager: accept non-null device for VPN activations (Closes: #903109)

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Jul 2018 13:24:13 +0200

network-manager (1.12.0-4) unstable; urgency=medium

  * Add Conflicts to network-manager-dev against deprecated libraries.
    The deprecated libnm-glib-dev, libnm-glib-vpn-dev and libnm-util-dev
    require header files from network-manager-dev which are no longer
    provided in newer versions. Add Conflicts to network-manager-dev to
    ensure that we don't get a broken combination of installed packages.
    (Closes: #903029)
  * Update description of network-manager-dev

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 13:48:51 +0200

network-manager (1.12.0-3) unstable; urgency=medium

  * Increase timeout in test-nm-client to 30s.
    On slow architectures it can take longer then 3s for the test service to
    start up.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 03:58:53 +0200

network-manager (1.12.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Jul 2018 23:55:36 +0200

network-manager (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Jul 2018 21:14:07 +0200

network-manager (1.11.90-2) experimental; urgency=medium

  * Drop libnl3 build dependency.
    Upstream has copied the code directly from libnl3 for the few functions it
    needs with a few small modifications.
  * Drop libiw build dependency.
    Hasn't been needed for a long time and was simply a left over from older
    releases.
  * Cherry-pick upstream fixes to make test suite pass on slower buildds

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Jun 2018 14:15:40 +0200

network-manager (1.11.90-1) experimental; urgency=medium

  * New upstream version 1.11.90 (1.12 rc1)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jun 2018 15:43:10 +0200

network-manager (1.11.4-1) experimental; urgency=medium

  * New upstream version 1.11.4
  * Update install path for plugins, it now includes a version number
  * Update symbols file for libnm0
  * Make sure the example server.conf is actually installed
  * Rebase patches
  * Drop dh_strip override, the dbgsym migration is done
  * Enable iwd support
  * Drop version requirements when oldstable ships a newer version

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jun 2018 13:28:39 +0200

network-manager (1.11.3-1) experimental; urgency=medium

  * New upstream version 1.11.3
  * Rebase patches
  * Update symbols file for libnm0
  * Drop inetutils-arputils Suggests.
    The ACD functionality of NetworkManager is no longer using arping, so
    the Suggests is no longer useful.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Apr 2018 23:35:35 +0200

network-manager (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 11 May 2018 22:19:39 +0200

network-manager (1.10.6-3) unstable; urgency=medium

  * Stop building libnm-glib/libnm-util.
    Those libraries have been deprecated for several years. The successor is
    libnm, a GObject-based client library using GDBus instead of dbus-glib.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2018 19:40:01 +0200

=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>,
 Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 10.3),
               automake (>= 1.12),
               dpkg-dev (>= 1.17.14),
               pkg-config,
               intltool,
               libglib2.0-dev (>= 2.32),
               ppp-dev (>= 2.4.7-1+1),
               libpolkit-gobject-1-dev,
               libpolkit-agent-1-dev (>= 0.97),
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               systemd (>= 185),
               libsystemd-dev (>= 209),
               libudev-dev (>= 175),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               python-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               perl,
               libyaml-perl,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev,
               libbluetooth-dev (>= 5),
               valac (>= 0.17.1.24),
               dbus <!nocheck>,
               python-dbus <!nocheck>
Standards-Version: 4.1.5
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base,
         wpasupplicant,
         dbus,
         udev,
         adduser,
         libpam-systemd,
         policykit-1
Recommends: ppp,
            dnsmasq-base,
            iptables,
            modemmanager,
            crda,
            isc-dhcp-client,
Suggests: libteam-utils
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
    address configuration.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Conflicts: libnm-glib-dev,
           libnm-glib-vpn-dev,
           libnm-util-dev,
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm0 (= ${binary:Version}),
         gir1.2-nm-1.0 (= ${binary:Version}),
         libglib2.0-dev
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

## network-manager 1.12.4

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('dbus_ifaces_dir', type: 'string', value: '', description: 'where D-Bus interfaces directory is')
option('dbus_sys_dir', type: 'string', value: '', description: 'where D-Bus system service directory is')
option('polkit_dir', type: 'string', value: '', description: 'where PolicyKit policy directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('iptables', type: 'array', value: ['iptables', '/sbin/iptables', '/usr/sbin/iptables'], description: 'path to iptables')
option('dnsmasq', type: 'array', value: ['dnsmasq', '/sbin/dnsmasq', '/usr/sbin/dnsmasq'], description: 'path to dnsmasq')
option('dnssec_trigger', type: 'array', value: ['dnssec-trigger-script', '/usr/local/libexec/dnssec-trigger-script', '/usr/local/lib/dnssec-trigger-script', '/usr/local/lib/dnssec-trigger/dnssec-trigger-script', '/usr/libexec/dnssec-trigger-script', '/usr/lib/dnssec-trigger-script', '/usr/lib/dnssec-trigger/dnssec-trigger-script'], description: 'path to unbound dnssec-trigger-script')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'boolean', value: true, description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'combo', choices: ['yes', 'no', 'disabled'], value: 'yes', description: 'set default value for auth-polkit configuration option. This value can be overwritten by NM configuration. \'disabled\' compiles NM without any support')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent', type: 'boolean', value: false, description: 'enable polkit agent for clients')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'array', value: ['pppd', '/sbin/pppd', '/usr/sbin/pppd'], description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable OpenVSwitch support')
option('libnm_glib', type: 'boolean', value: false, description: 'build legacy libraries')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ibft',     type: 'boolean', value: false, description: 'enable ibft configuration plugin')
option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL)')
option('ifupdown', type: 'boolean', value: false, description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')

# handlers for resolv.conf
option('resolvconf', type: 'array', value: ['resolvconf', '/sbin/resolvconf', '/usr/sbin/resolvconf', '/usr/local/sbin/resolvconf'], description: 'Enable resolvconf support')
option('netconfig', type: 'array', value: ['netconfig', '/sbin/netconfig', '/usr/sbin/netconfig', '/usr/local/sbin/netconfig'], description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['symlink', 'file', 'netconfig', 'resolvconf'], value: 'symlink', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhcpcanon', type: 'array', value: ['dhcpcanon', '/sbin/dhcpcanon', '/usr/sbin/dhcpcanon', '/usr/local/sbin/dhcpcanon', '/usr/bin/dhcpcanon', '/usr/local/bin/dhcpcanon'], description: 'Enable dhcpcanon support (experimental)')
option('dhclient', type: 'array', value: ['dhclient', '/sbin/dhclient', '/usr/sbin/dhclient', '/usr/local/sbin/dhclient'], description: 'Enable dhclient 4.x support')
option('dhcpcd', type: 'array', value: ['dhcpcd', '/sbin/dhcpcd', '/usr/sbin/dhcpcd', '/usr/local/sbin/dhcpcd'], description: 'Enable dhcpcd 4.x support')
option('config_dhcp_default', type: 'combo', choices: ['dhcpcanon', 'dhclient', 'dhcpcd', 'internal'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')
option('dhcpcd_supports_ipv6', type: 'boolean', value: true, description: 'Whether using dhcpcd >= 6.x which has IPv6 support')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type: 'boolean', value: true, description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('more_asserts', type: 'string', value: 'all', description: 'Enable more assertions for debugging (0 = none, 100 = all, default: all)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('json_validation', type: 'boolean', value: true, description: 'Enable JSON validation in libnm')
option('crypto', type: 'combo', choices: ['nss', 'gnutls'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'boolean', value: true, description: 'enable Qt examples')
option('check_settings_docs', type: 'boolean', value: false, description: 'compare check settings-docs.h file')

=== debian/changelog ===
network-manager (1.12.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian (LP: #1795704). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
  * Revert "Add Conflicts to network-manager-dev against deprecated libraries"
    This reverts commit b4acc5e03e2b821e1cccc69529bb70826c741942.  We're still
    building libnm-glib for now, so these packages have a use in Ubuntu.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 03 Oct 2018 10:03:10 +0100

network-manager (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Sep 2018 10:23:25 +0200

network-manager (1.12.2-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Apply patch from upstream to fix FTBFS with GLib 2.57 (Closes: #906965)

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Sep 2018 16:07:24 +0200

network-manager (1.12.2-0ubuntu5) cosmic; urgency=medium

  * debian/tests/nm: Add the required `gi.require_version()` calls - thanks to
    the autopkgtests for noticing this.
  * debian/tests/control: The nm tests need dnsmasq-base and isc-dhcp-client
    too.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Sep 2018 10:17:30 +0100

network-manager (1.12.2-0ubuntu4) cosmic; urgency=medium

  Cherry-pick fixes from debian:
  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro in n-m-applet
  * Apply patch from upstream to fix FTBFS with GLib 2.57

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2018 11:36:35 +0200

network-manager (1.12.2-0ubuntu3) cosmic; urgency=medium

  * debian/rules:
    - use --with-libnm-glib, the default reversed since that's a legacy
      library but we still need it for unity-control-center

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 11:00:09 +0200

network-manager (1.12.2-0ubuntu2) cosmic; urgency=medium

  * debian/patches/git-newglib-test.patch:
    - backport upstream commit to fix the tests with the new glib 

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 10:44:12 +0200

network-manager (1.12.2-0ubuntu1) cosmic; urgency=medium

  * New upstream version
  * d/p/libnm-register-empty-NMClient-and-NetworkManager-when-loa.patch,
    d/p/e91f1a7d2a6b8400b6b331d5b72287dcb5164a39.patch,
    d/p/git_thunderbolt_connect.patch:
    - removed, those changes are in the new version
  * Backport Debian changes
  * Update symbols file for libnm0
  * Enable iwd support
  * Drop version requirements when oldstable ships a newer version
  * Drop dh_strip override, the dbgsym migration is done
  * Rebase patches
  * Make sure the example server.conf is actually installed
  * Update install path for plugins, it now includes a version number
  * Drop libnl3 build dependency.
    Upstream has copied the code directly from libnl3 for the few functions it
    needs with a few small modifications.
  * Drop libiw build dependency.
    Hasn't been needed for a long time and was simply a left over from older
    releases.
  * Bump Standards-Version to 4.1.5
  * Fix compile error due to NM_AVAILABLE_IN_1_12_2 macro (Closes: #905372)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Aug 2018 09:27:39 +0200

network-manager (1.10.8-1ubuntu4) cosmic; urgency=medium

  * debian/10-globally-managed-devices.conf: adjust exception for wwan to
    specify cdma and gsm, since those are the actual types handled by NM/MM.
    (LP: #1780606)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 10 Jul 2018 08:17:11 -0400

network-manager (1.10.8-1ubuntu3) cosmic; urgency=medium

  * Revert the changes to remove the nmclient bindings, those are needed
    to build nm-applet until the legacy binaries can be removed, which
    requires unity-control-center to be updated to use the new library.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Jul 2018 15:30:19 +0200

network-manager (1.10.8-1ubuntu2) cosmic; urgency=medium

  * debian/patches/git_thunderbolt_connect.patch:
    - enable host to host connection through thunderbolt

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 May 2018 16:54:48 +0200

network-manager (1.10.8-1ubuntu1) cosmic; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
@@ -10,6 +11,8 @@
                dpkg-dev (>= 1.17.14),
                pkg-config,
                intltool,
+               libdbus-glib-1-dev (>= 0.100),
+               libdbus-1-dev (>= 1.1),
                libglib2.0-dev (>= 2.32),
                ppp-dev (>= 2.4.7-1+1),
                libpolkit-gobject-1-dev,
@@ -42,8 +45,8 @@
                python-dbus <!nocheck>
 Standards-Version: 4.1.5
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu
+Vcs-Browser: https://git.launchpad.net/network-manager?h=cosmic
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -56,15 +59,16 @@
          dbus,
          udev,
          adduser,
+         isc-dhcp-client,
          libpam-systemd,
          policykit-1
 Recommends: ppp,
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-            isc-dhcp-client,
-Suggests: libteam-utils
+Suggests: avahi-autoipd, libteam-utils
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -77,10 +81,11 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
-    address configuration.
   * libteam-utils: Network Team driver allows multiple network interfaces to be
     teamed together and act like a single one. This process is called "ethernet
     bonding", "channel teaming" or "link aggregation".
@@ -90,14 +95,120 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}
-Conflicts: libnm-glib-dev,
-           libnm-glib-vpn-dev,
-           libnm-util-dev,
 Description: network management framework (development files)
  This package provides documentation of the NetworkManager D-Bus API, the
  configuration formats and command line utilities.
  It also provides D-Bus introspection files.
 
+Package: libnm-glib4
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (GLib shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the shared library that applications can use to query
+ connection status via NetworkManager.
+
+Package: libnm-glib-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-glib4 (= ${binary:Version}),
+         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         libnm-util-dev (>= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+         libglib2.0-dev,
+         libdbus-glib-1-dev
+Description: network management framework (GLib interface)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files and the API documentation
+ for libnm-glib.
+
+Package: libnm-glib-vpn1
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (GLib VPN shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the shared library that applications can use for
+ creating VPN connections via NetworkManager.
+
+Package: libnm-glib-vpn-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-glib-vpn1 (= ${binary:Version}),
+         libnm-glib-dev (>= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+Description: network management framework (GLib interface)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files for libnm-glib-vpn.
+
+Package: libnm-util2
+Section: libs
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: network management framework (shared library)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains a convenience library to ease the access to
+ NetworkManager.
+
+Package: libnm-util-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libnm-util2 (= ${binary:Version}),
+         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         network-manager-dev (>= ${binary:Version}),
+         libglib2.0-dev,
+         libdbus-glib-1-dev
+Description: network management framework (development files)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains header and development files and the API documentation
+ for libnm-util.
+
 Package: libnm0
 Section: libs
 Architecture: linux-any
@@ -132,6 +243,26 @@
  .
  This package contains header and development files.
 
+Package: gir1.2-networkmanager-1.0
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the libnm-glib/libnm-util library
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager using
+ libnm-glib/libnm-util.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
 Package: gir1.2-nm-1.0
 Section: introspection
 Architecture: linux-any
@@ -170,3 +301,16 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to an Ubuntu server to determine the
+ connection status.
+ .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with gir,ppp

autoreconf:
	gtkdocize --copy
	autopoint --force
	AUTOPOINT='intltoolize --automake --copy' autoreconf --verbose --force --install

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--runstatedir=/run \
		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
		--with-pppd=/usr/sbin/pppd \
		--with-resolvconf=no \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-dnsmasq=/usr/sbin/dnsmasq \
		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udev-dir=/lib/udev \
		--with-crypto=gnutls \
		--with-session-tracking=systemd \
		--with-suspend-resume=systemd \
		--with-modem-manager-1 \
		--with-nmtui \
		--with-nmcli \
		--with-selinux \
		--with-tests \
		--with-libaudit \
		--with-iwd \
		--with-libnm-glib \
		--without-dhcpcanon \
		--enable-polkit \
		--enable-polkit-agent \
		--enable-ppp \
		--enable-ifupdown \
		--enable-config-plugin-ibft \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-concheck \
		--enable-teamdctl \
		--enable-json-validation \
		--enable-bluez5-dun \
		--enable-vala \
		--disable-more-warnings \
		--disable-modify-system \
		--disable-ovs

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
	dh_install

override_dh_missing:
	dh_missing --fail-missing

	# copy powersave configuration
	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/

override_dh_installinit:
	dh_installinit --noscripts

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_systemd_start:
	dh_link -pnetwork-manager \
		lib/systemd/system/NetworkManager.service \
		lib/systemd/system/network-manager.service
	dh_systemd_start -pnetwork-manager --no-start NetworkManager-dispatcher.service
	dh_systemd_start -pnetwork-manager --no-start NetworkManager-wait-online.service
	dh_systemd_start -pnetwork-manager --restart-after-upgrade NetworkManager.service

override_dh_ppp:
	dh_ppp --breaks

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
endif

=== debian/tests/control ===
Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine

Tests: nm
Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-networkmanager-1.0, network-manager, hostapd, iw, python3-dbusmock
Restrictions: needs-root isolation-machine

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic, rfkill
Restrictions: needs-root allow-stderr isolation-machine

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic, rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine
